org.apache.lucene.util.bkd

## Class HeapPointReader

- java.lang.Object
- - org.apache.lucene.util.bkd.PointReader
  - - org.apache.lucene.util.bkd.HeapPointReader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class HeapPointReader
      extends PointReader

  Utility class to read buffered points from in-heap arrays.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeapPointReader(List<byte[]> blocks, int valuesPerBlock, int packedBytesLength, int[] ords, long[] ordsLong, int[] docIDs, int start, int end, boolean singleValuePerDoc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `docID()` DocID for this point
    `boolean` | `next()` Returns false once iteration is done, else true.
    `long` | `ord()` Point ordinal
    `byte[]` | `packedValue()` Returns the packed byte[] value

    - ### Methods inherited from class org.apache.lucene.util.bkd.PointReader

      `markOrds, split`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeapPointReader

          public HeapPointReader(List<byte[]> blocks,
                                 int valuesPerBlock,
                                 int packedBytesLength,
                                 int[] ords,
                                 long[] ordsLong,
                                 int[] docIDs,
                                 int start,
                                 int end,
                                 boolean singleValuePerDoc)

  - ### Method Detail

    - #### next

          public boolean next()

      Description copied from class: `PointReader`
      Returns false once iteration is done, else true.
      Specified by:
        `next` in class `PointReader`

    - #### packedValue

          public byte[] packedValue()

      Description copied from class: `PointReader`
      Returns the packed byte[] value
      Specified by:
        `packedValue` in class `PointReader`

    - #### docID

          public int docID()

      Description copied from class: `PointReader`
      DocID for this point
      Specified by:
        `docID` in class `PointReader`

    - #### ord

          public long ord()

      Description copied from class: `PointReader`
      Point ordinal
      Specified by:
        `ord` in class `PointReader`

    - #### close

          public void close()

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.